Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to upgrade to plasma-5.6
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
krotuss
Apprentice
Apprentice


Joined: 01 Aug 2008
Posts: 156

PostPosted: Tue Jun 21, 2016 8:51 pm    Post subject: How to upgrade to plasma-5.6 Reply with quote

Hi, where (how) can I obtain relevant portage/package.* lists needed to upgrade to plasma-5.6 on amd64 installation? Thanks.
Back to top
View user's profile Send private message
gorg86
Tux's lil' helper
Tux's lil' helper


Joined: 20 May 2011
Posts: 123

PostPosted: Wed Jun 22, 2016 4:06 am    Post subject: Reply with quote

I just added
Code:
kde-frameworks/* ~amd64
kde-plasma/* ~amd64
kde-apps/* ~amd64
dev-qt/* ~amd64
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21362
Location: here

PostPosted: Wed Jun 22, 2016 6:02 am    Post subject: Reply with quote

In the next weeks I thing that plasma-5.6 can beign stable, if you are patience :)
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6831
Location: Austria

PostPosted: Wed Jun 22, 2016 8:57 am    Post subject: Reply with quote

gorg86 wrote:
I just added
Code:
kde-frameworks/* ~amd64
kde-plasma/* ~amd64
kde-apps/* ~amd64
dev-qt/* ~amd64

That's not how to upgrade to Plasma-5.6 - that's how to permanently move to unstable Qt, Frameworks, Plasma and Applications.

You can pick the kde-plasma-5.6.keywords from there: https://gitweb.gentoo.org/proj/kde.git/tree/Documentation/package.accept_keywords
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
gorg86
Tux's lil' helper
Tux's lil' helper


Joined: 20 May 2011
Posts: 123

PostPosted: Wed Jun 22, 2016 6:29 pm    Post subject: Reply with quote

genstorm wrote:
...
You can pick the kde-plasma-5.6.keywords from there: https://gitweb.gentoo.org/proj/kde.git/tree/Documentation/package.accept_keywords


Does a similar keywords-list exist for dev-qt/* ?

I noticed, that the following packages are missing in their corresponding package.accept_keywords files.
kde-apps/kdeartwork-wallpapers
kde-apps/kdeartwork-weatherwallpapers
kde-apps/kde-wallpapers
kde-frameworks/kf-env

Wallpapers are not that important but what about kf-env?
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6831
Location: Austria

PostPosted: Wed Jun 22, 2016 7:37 pm    Post subject: Reply with quote

Qt package unmasks are part of the very same file. The others are not Plasma, that's all KDE Applications. kf-env is stable.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
goertzenator
n00b
n00b


Joined: 26 Sep 2014
Posts: 12

PostPosted: Mon Jul 04, 2016 1:33 am    Post subject: Reply with quote

genstorm wrote:

You can pick the kde-plasma-5.6.keywords from there: https://gitweb.gentoo.org/proj/kde.git/tree/Documentation/package.accept_keywords


I plopped the linked file into /etc/portage/package_accept.keywords, but it looks like this is going to be a train wreck (https://gist.github.com/goertzenator/241b516f981728eb9e7c72b32e58c386). Am I doing it wrong?

Plasma 5 was freshly installed a few days ago and I need monitor plugging to work. Thanks.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6831
Location: Austria

PostPosted: Mon Jul 04, 2016 5:04 am    Post subject: Reply with quote

Why do you think it's a trainwreck? I see one block due to wrong use flag for kde-wallpapers and a few additional unmasks done by portage.

Quote:
* IMPORTANT: 23 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.

this, on the other hand...
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
goertzenator
n00b
n00b


Joined: 26 Sep 2014
Posts: 12

PostPosted: Mon Jul 04, 2016 4:23 pm    Post subject: Reply with quote

genstorm wrote:
Why do you think it's a trainwreck? I see one block due to wrong use flag for kde-wallpapers and a few additional unmasks done by portage.

Quote:
* IMPORTANT: 23 news items need reading for repository 'gentoo'.
* Use eselect news read to view new items.

this, on the other hand...


The piles of slot conflicts is the trainwreck I was referring to. I went through the news, setup more keywords, sorted out the wallpaper conflict, and then eventually discovered that "--backtrack=30" seemed to fix the pile of slot conflicts. Plasma is back up and I can switch monitors without crashing, yay! Thanks for affirming the direction I was headed.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum